Subject: Re: [PATCH] send-email: add extra safetly in address sanitazion

From: Junio C Hamano <[email-masked]>
Date: Sun, 05 Feb 2012 13:52:21 -0800

Thomas Rast <[email-masked]> writes:

> Am I the only one who stared at this for ten seconds, only to then
> realize that there is no sanitizing whatsoever going on here?
>
>>   'Foo Bar <[email-masked]>>' -> 'Foo Bar <[email-masked]>'
>>   '"Foo Bar" <[email-masked]>>' -> '"Foo Bar" <[email-masked]>'
>>   '<[email-masked]>>' -> [email-masked]'
>
> All of these are the same underlying issue.  Does your patch fix any
> other malformed addresses, or just this particular type?

Just this particular type, as long as the code handles it correctly, would
be better than nothing.

On the recieving end in mailinfo, I think we also support

	[email-masked] (Junio C Hamano)

although it does not seem to be used by many people these days (the only
one I can remember seeing on this list was merlyn), so we may want to be a
bit more consistent between sending and receiving end, though.